# Ogre::GpuProgramParameters::ConstantDefinition Struct Reference

stucture used to keep track of attributes for a constant definition. More...

`#include <OgreGpuProgram.h>`

List of all members.

## Public Member Functions

| ConstantDefinition ()

## Public Attributes

String | name
size_t | entryIndex
size_t | elementCount
size_t | arraySize
ElementType | elementType
size_t | autoIndex
bool | isAllocated
bool | isAuto

## Detailed Description

stucture used to keep track of attributes for a constant definition.

Definition at line 413 of file OgreGpuProgram.h.

## Constructor & Destructor Documentation

Ogre::GpuProgramParameters::ConstantDefinition::ConstantDefinition | ( |  | ) |

| Definition at line 424 of file OgreGpuProgram.h.

## Member Data Documentation

size_t Ogre::GpuProgramParameters::ConstantDefinition::arraySize

| Definition at line 418 of file OgreGpuProgram.h.

size_t Ogre::GpuProgramParameters::ConstantDefinition::autoIndex

| Definition at line 420 of file OgreGpuProgram.h.

size_t Ogre::GpuProgramParameters::ConstantDefinition::elementCount

| Definition at line 417 of file OgreGpuProgram.h.

ElementType Ogre::GpuProgramParameters::ConstantDefinition::elementType

| Definition at line 419 of file OgreGpuProgram.h.

size_t Ogre::GpuProgramParameters::ConstantDefinition::entryIndex

| Definition at line 416 of file OgreGpuProgram.h.

bool Ogre::GpuProgramParameters::ConstantDefinition::isAllocated

| Definition at line 421 of file OgreGpuProgram.h.

bool Ogre::GpuProgramParameters::ConstantDefinition::isAuto

| Definition at line 422 of file OgreGpuProgram.h.

String Ogre::GpuProgramParameters::ConstantDefinition::name

| Definition at line 415 of file OgreGpuProgram.h.

The documentation for this struct was generated from the following file:

- OgreGpuProgram.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:39:53 2006